Quante compile problem

Rok Jaklic rokj at rasca.net
Wed Nov 24 13:51:31 UTC 2010


* Milian Wolff <mail at milianw.de> [2010-11-24 14:23:47 +0100]:

> Rok Jaklic, 24.11.2010:
> > * Milian Wolff <mail at milianw.de> [2010-11-24 13:41:54 +0100]:
> > > Rok Jaklic, 24.11.2010:
> > > > * Milian Wolff <mail at milianw.de> [2010-11-24 12:32:14 +0100]:
> > > > > Rok Jaklic, 24.11.2010:
> > > > > > Hi.
> > > > > > 
> > > > > > I want to compile quanta from lastest git commit and after "cmake
> > > > > > -DCMAKE_INSTALL_PREFIX=/home/rokj/programs/quanta ../" I run make
> > > > > > and I get error like:
> > > > > > 
> > > > > > /home/rokj/downloads/x/software/quanta/languages/css/completion/mod
> > > > > > el.h
> > > > > > 
> > > > > > :30: Error: Undefined interface automoc4: process for
> > > > > > 
> > > > > > /home/rokj/downloads/x/software/quanta/build/languages/css/model.mo
> > > > > > c failed: Unknown error
> > > > > > 
> > > > > > Any ideas why?
> > > > > > 
> > > > > > Kind regards,
> > > > > 
> > > > > What KDE Version do you have installed? Do you have KDE 4.5.X, which
> > > > > is a requirement now? I think I've forgot to increase the cmake
> > > > > checks, will do that later.
> > > > > 
> > > > > Bye
> > > > > 
> > > > > 
> > > > > 
> > > > > _______________________________________________
> > > > > kdevelop mailing list
> > > > > kdevelop at kdevelop.org
> > > > > https://barney.cs.uni-potsdam.de/mailman/listinfo/kdevelop
> > > > 
> > > > kde-base/kdebase-data is version 4.4.5. I use Gentoo.
> > > 
> > > then you'll have to use kdevelop 4.1 hence quanta from 4.1 branch.
> > > 
> > > bye
> > :
> > :( I love using kdevelop for PHP, however I have failed everytime to
> > :compile it with xdebug plugin. Is it possible to write/get some
> > :instructions how to compile kdevelop with xdebug support? This is really
> > :"the last thing" that is holding me in Eclipse from time to time.
> 
> what exactly is the problem, please post compile errors or similar.
> 
> and as I said, if you are stuck on KDE 4.4, you'll have to use KDevelop 4.1, 
> KDevplatform 1.1, PHP 1.1, PHP-Docs 1.1 and Quanta from 4.1 branch.
> 
> This should give you XDebug in KDevelop.
> 
> Bye
> -- 
> Milian Wolff
> mail at milianw.de
> http://milianw.de

In some other post I said: I use kdevelop-php 1.1.0 and "all" works fine, just I cannot seem to find, configure xdebug. When I add Launch Configuration I can only choose Native Application and in debug I can only choose GDB. I can create new PHP project and use all nice features that comes with it (autocomplete, ...), just I cannot configure xdebug. That is the reason I've tried to compile quanta then.

Rok




More information about the KDevelop mailing list